<?php
$x_email = $_POST["email"];
$x_senha = $_POST["senha"];

if(is_numeric($_POST["email"])) {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Por favor, tente novamente</div>';

header("Location: /login");
exit;

}

if($_POST["email"] == '' || $_POST["senha"] == '') {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Por favor informe seu e-mail/senha de acesso</div>';

unset($_SESSION["type_logged_user"]);
unset($_SESSION["code_user_logged"]);
header("Location: /admin/login");
exit;
}

if(preg_match('/^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/', $_POST["email"])) {

// Valida se serviço est ativo ou bloqueado
$valida_status_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE email = '".$x_email."'"));

if($valida_status_revenda["status"] != 1) {
$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Serviço bloqueado! Contate nosso atendimento.</div>';

unset($_SESSION["type_logged_user"]);
unset($_SESSION["code_user_logged"]);
header("Location: /admin/login");
exit;
}

$valida_revenda = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM revendas WHERE email = '".$x_email."' AND senha = PASSWORD('".$x_senha."')"));

if($valida_revenda == 1) {

$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE email = '".$x_email."' AND senha = PASSWORD('".$x_senha."')"));

$_SESSION["type_logged_user"] = "cliente";
$_SESSION["code_user_logged"] = $dados_revenda["codigo"];

if(file_exists("inc/lang-".$dados_revenda["idioma_painel"].".php")) {
require_once("inc/lang-".$dados_revenda["idioma_painel"].".php");
} else {
require_once("inc/lang-pt-br.php");
}

$ultimo_acesso = date('d/m/Y H:i:s',strtotime($dados_revenda["ultimo_acesso_data"]));

$dados_geoip = unserialize(@file_get_contents("http://www.geoplugin.net/php.gp?ip=".$_SERVER['REMOTE_ADDR'].""));
$localidade = utf8_decode($dados_geoip["geoplugin_city"])." - ".utf8_decode($dados_geoip["geoplugin_region"]);

$_SESSION["status_acao"] = '<div class="alert alert-info text-center" role="alert">'.sprintf(lang_info_pagina_informacoes_streaming_boas_vindas,$ultimo_acesso,$localidade).'</div>';

// Loga o acesso do usuario
mysqli_query($conexao,"INSERT INTO logs (acao,data,ip,log) VALUES ('login',NOW(),'".$_SERVER['REMOTE_ADDR']."','Revenda ".$dados_revenda["id"]." acessou sistema.')");

// Loga ultimo acesso da revenda
@mysqli_query($conexao,"Update revendas set ultimo_acesso_data = NOW(), ultimo_acesso_ip = '".$_SERVER['REMOTE_ADDR']."'  WHERE codigo = '".$dados_revenda["codigo"]."'");

header("Location: /admin/revenda");
exit;

} else {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">E-mail ou senha inválidos, tente novamente</div>';

unset($_SESSION["type_logged_user"]);
unset($_SESSION["code_user_logged"]);
header("Location: /admin/login");
exit;

}

} else { // se nao for cliente é operador

$valida_operador = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM administradores WHERE usuario = '".$x_email."' AND senha = PASSWORD('".$x_senha."')"));

if($valida_operador == 1) {

$dados_operador = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM administradores WHERE usuario = '".$x_email."'"));

$_SESSION["type_logged_user"] = "operador";
$_SESSION["code_user_logged"] = $dados_operador["codigo"];

// Loga o acesso do usuario
mysqli_query($conexao,"INSERT INTO logs (acao,data,ip,log) VALUES ('login',NOW(),'".$_SERVER['REMOTE_ADDR']."','Administrador ".$_POST["email"]." acessou sistema.')");

header("Location: /admin/admin-configuracoes");
exit;

} else {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">E-mail ou senha inválidos, tente novamente</div>';

unset($_SESSION["type_logged_user"]);
unset($_SESSION["code_user_logged"]);
header("Location: /admin/login");
exit;

}

}
?>